/**
 * This code was AUTOGENERATED using the codama library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun codama to update it.
 *
 * @see https://github.com/codama-idl/codama
 */
import { type Address, type Codec, type Decoder, type Encoder, type IAccountMeta, type IInstruction, type IInstructionWithAccounts, type IInstructionWithData, type ReadonlyAccount, type ReadonlyUint8Array, type WritableAccount } from '@solana/web3.js';
import { TENSOR_MARKETPLACE_PROGRAM_ADDRESS } from '../programs';
export declare const CLOSE_EXPIRED_LISTING_CORE_DISCRIMINATOR: Uint8Array;
export declare function getCloseExpiredListingCoreDiscriminatorBytes(): ReadonlyUint8Array;
export type CloseExpiredListingCoreInstruction<TProgram extends string = typeof TENSOR_MARKETPLACE_PROGRAM_ADDRESS, TAccountListState extends string | IAccountMeta<string> = string, TAccountAsset extends string | IAccountMeta<string> = string, TAccountCollection extends string | IAccountMeta<string> = string, TAccountOwner extends string | IAccountMeta<string> = string, TAccountMplCoreProgram extends string | IAccountMeta<string> = 'CoREENxT6tW1HoK8ypY1SxRMZTcVPm7R94rH4PZNhX7d', TAccountSystemProgram extends string | IAccountMeta<string> = '11111111111111111111111111111111', TAccountMarketplaceProgram extends string | IAccountMeta<string> = 'TCMPhJdwDryooaGtiocG1u3xcYbRpiJzb283XfCZsDp', TAccountRentDestination extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountListState extends string ? WritableAccount<TAccountListState> : TAccountListState,
    TAccountAsset extends string ? WritableAccount<TAccountAsset> : TAccountAsset,
    TAccountCollection extends string ? ReadonlyAccount<TAccountCollection> : TAccountCollection,
    TAccountOwner extends string ? ReadonlyAccount<TAccountOwner> : TAccountOwner,
    TAccountMplCoreProgram extends string ? ReadonlyAccount<TAccountMplCoreProgram> : TAccountMplCoreProgram,
    TAccountSystemProgram extends string ? ReadonlyAccount<TAccountSystemProgram> : TAccountSystemProgram,
    TAccountMarketplaceProgram extends string ? ReadonlyAccount<TAccountMarketplaceProgram> : TAccountMarketplaceProgram,
    TAccountRentDestination extends string ? WritableAccount<TAccountRentDestination> : TAccountRentDestination,
    ...TRemainingAccounts
]>;
export type CloseExpiredListingCoreInstructionData = {
    discriminator: ReadonlyUint8Array;
};
export type CloseExpiredListingCoreInstructionDataArgs = {};
export declare function getCloseExpiredListingCoreInstructionDataEncoder(): Encoder<CloseExpiredListingCoreInstructionDataArgs>;
export declare function getCloseExpiredListingCoreInstructionDataDecoder(): Decoder<CloseExpiredListingCoreInstructionData>;
export declare function getCloseExpiredListingCoreInstructionDataCodec(): Codec<CloseExpiredListingCoreInstructionDataArgs, CloseExpiredListingCoreInstructionData>;
export type CloseExpiredListingCoreAsyncInput<TAccountListState extends string = string, TAccountAsset extends string = string, TAccountCollection extends string = string, TAccountOwner extends string = string, TAccountMplCoreProgram extends string = string, TAccountSystemProgram extends string = string, TAccountMarketplaceProgram extends string = string, TAccountRentDestination extends string = string> = {
    listState?: Address<TAccountListState>;
    asset: Address<TAccountAsset>;
    collection?: Address<TAccountCollection>;
    owner: Address<TAccountOwner>;
    mplCoreProgram?: Address<TAccountMplCoreProgram>;
    systemProgram?: Address<TAccountSystemProgram>;
    marketplaceProgram?: Address<TAccountMarketplaceProgram>;
    rentDestination?: Address<TAccountRentDestination>;
};
export declare function getCloseExpiredListingCoreInstructionAsync<TAccountListState extends string, TAccountAsset extends string, TAccountCollection extends string, TAccountOwner extends string, TAccountMplCoreProgram extends string, TAccountSystemProgram extends string, TAccountMarketplaceProgram extends string, TAccountRentDestination extends string, TProgramAddress extends Address = typeof TENSOR_MARKETPLACE_PROGRAM_ADDRESS>(input: CloseExpiredListingCoreAsyncInput<TAccountListState, TAccountAsset, TAccountCollection, TAccountOwner, TAccountMplCoreProgram, TAccountSystemProgram, TAccountMarketplaceProgram, TAccountRentDestination>, config?: {
    programAddress?: TProgramAddress;
}): Promise<CloseExpiredListingCoreInstruction<TProgramAddress, TAccountListState, TAccountAsset, TAccountCollection, TAccountOwner, TAccountMplCoreProgram, TAccountSystemProgram, TAccountMarketplaceProgram, TAccountRentDestination>>;
export type CloseExpiredListingCoreInput<TAccountListState extends string = string, TAccountAsset extends string = string, TAccountCollection extends string = string, TAccountOwner extends string = string, TAccountMplCoreProgram extends string = string, TAccountSystemProgram extends string = string, TAccountMarketplaceProgram extends string = string, TAccountRentDestination extends string = string> = {
    listState: Address<TAccountListState>;
    asset: Address<TAccountAsset>;
    collection?: Address<TAccountCollection>;
    owner: Address<TAccountOwner>;
    mplCoreProgram?: Address<TAccountMplCoreProgram>;
    systemProgram?: Address<TAccountSystemProgram>;
    marketplaceProgram?: Address<TAccountMarketplaceProgram>;
    rentDestination?: Address<TAccountRentDestination>;
};
export declare function getCloseExpiredListingCoreInstruction<TAccountListState extends string, TAccountAsset extends string, TAccountCollection extends string, TAccountOwner extends string, TAccountMplCoreProgram extends string, TAccountSystemProgram extends string, TAccountMarketplaceProgram extends string, TAccountRentDestination extends string, TProgramAddress extends Address = typeof TENSOR_MARKETPLACE_PROGRAM_ADDRESS>(input: CloseExpiredListingCoreInput<TAccountListState, TAccountAsset, TAccountCollection, TAccountOwner, TAccountMplCoreProgram, TAccountSystemProgram, TAccountMarketplaceProgram, TAccountRentDestination>, config?: {
    programAddress?: TProgramAddress;
}): CloseExpiredListingCoreInstruction<TProgramAddress, TAccountListState, TAccountAsset, TAccountCollection, TAccountOwner, TAccountMplCoreProgram, TAccountSystemProgram, TAccountMarketplaceProgram, TAccountRentDestination>;
export type ParsedCloseExpiredListingCoreInstruction<TProgram extends string = typeof TENSOR_MARKETPLACE_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        listState: TAccountMetas[0];
        asset: TAccountMetas[1];
        collection?: TAccountMetas[2] | undefined;
        owner: TAccountMetas[3];
        mplCoreProgram: TAccountMetas[4];
        systemProgram: TAccountMetas[5];
        marketplaceProgram: TAccountMetas[6];
        rentDestination: TAccountMetas[7];
    };
    data: CloseExpiredListingCoreInstructionData;
};
export declare function parseCloseExpiredListingCoreInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedCloseExpiredListingCoreInstruction<TProgram, TAccountMetas>;
//# sourceMappingURL=closeExpiredListingCore.d.ts.map